CentOS 下PHP5.3升级到PHP5.4步骤-阿里云开发者社区

开发者社区> 开发与运维> 正文

CentOS 下PHP5.3升级到PHP5.4步骤

简介:

在配置zabbix3.0.3版本的时候,由于yum安装的环境php都是5.3版本,而zabbix最新版要求版本要大于5.4.这个时候我们就需要给现有的php升级

不升级的后果:

    浏览器打开zabbix的时候,毛都么有!!!!!!

1、设置yum源

    

  1. wget http://dl.fedoraproject.org/pub/epel/6/x86_64/epel-release-6-8.noarch.rpm   

  2. rpm -ivh epel-release-6-8.noarch.rpm   

  3. wget http://rpms.famillecollet.com/enterprise/remi-release-6.rpm   

  4. rpm -ivh remi-release-6.rpm

2、yum claean all

3、yum update php*

出现的故障现象及解决方案:

    1、如果yum源里面的baseurl前面有#号,我们需要vim编辑去掉#

    2、需要确认enable是否为1,不为1要修改为1

    3、报错:  Error: Cannot retrieve metalink for repository: epel. Please verify its path and try again

                执行1步,同时给mirrorlist前面加#




本文转自 kesungang 51CTO博客,原文链接:http://blog.51cto.com/sgk2011/1827416,如需转载请自行联系原作者

版权声明:本文内容由阿里云实名注册用户自发贡献,版权归原作者所有,阿里云开发者社区不拥有其著作权,亦不承担相应法律责任。具体规则请查看《阿里云开发者社区用户服务协议》和《阿里云开发者社区知识产权保护指引》。如果您发现本社区中有涉嫌抄袭的内容,填写侵权投诉表单进行举报,一经查实,本社区将立刻删除涉嫌侵权内容。

分享:
开发与运维
使用钉钉扫一扫加入圈子
+ 订阅

集结各类场景实战经验,助你开发运维畅行无忧

其他文章